Description

I have moved to gfanslib-0.6.2 and now test-GFan1 produces the following error:

CDDLIB HAS NOT BEEN INITIALISED!

Fix this problem by calling the following function in your initialisation code:

dd_set_global_constants();

(after possibly setting the gmp allocators) and

dd_free_global_constants()

in your deinitialisation code (only available for cddlib version>=094d).

This requires the header includes:

#include "cdd/setoper.h" 

#include "cdd/cdd.h" 

Alternatively, you may call gfan:initializeCddlibIfRequired() and deinitializeCddlibIfRequired()

if gfanlib is the only code using cddlib. If at some point cddlib is no longer required by gfanlib

these functions may do nothing.

Because deinitialisation is not possible in cddlib <094d, the functions may leak memory and should

 not be called often.

This error message will never appear if the initialisation was done properly, and therefore never 

appear in a shipping version of your software.

test-GFan1: gfanlib_zcone.cpp:64: void gfan::ensureCddInitialisation(): Assertion `0' failed.

Aborted (core dumped)

 

This may be non-trivial to fix.  Presumably CoCoA::GlobalManager should call the CDD initializer, and its dtor should call the

deinitializer...

Related issues:

Related to CoCoALib - Bug #1402: gfan: installation problem: configure report... Closed 24 Jan 2020

History

#1 - 05 Sep 2019 16:29 - John Abbott

How much backward compatibility should be maintained?  It might be too tricky; perhaps we should just require that users use gfanlib-0.6.2 or later,

with cddlib-0.94j or later?

#2 - 08 Jan 2020 22:54 - John Abbott

- Target version changed from CoCoALib-0.99700 to CoCoALib-0.99800

#3 - 24 Jan 2020 17:23 - John Abbott

I was lucky 5 month ago... now I cannot even compile gfanlib.  configure fails :-(

#4 - 24 Jan 2020 17:26 - John Abbott
- Related to Bug #1402: gfan: installation problem: configure reports cdd.h present but cannot be compiled added

#5 - 24 Jan 2020 22:34 - John Abbott

- Status changed from New to Feedback

- Assignee set to John Abbott

- % Done changed from 0 to 90

- Estimated time set to 1.11 h

I blindly followed the advice in the error mesg, and now it seems to work.

Checking in :-)

#6 - 24 Jan 2020 22:34 - John Abbott

- Target version changed from CoCoALib-0.99800 to CoCoALib-0.99700

#7 - 11 Feb 2020 18:28 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

- Estimated time changed from 1.11 h to 5.20 h

Annd and I spent quite a long time getting the latest versions of CDD and GFAN to compile, and work with CoCoALib.

Anna has noted the various steps she took to make it work -- hopefully these will remain valid in the future.

Closing this now.
